Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLOptionElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLOptionElement
extends HTMLElement

A selectable choice. See the OPTION element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getDefaultSelected()` Stores the initial value of the `selected` attribute.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
`int` | `getIndex()` The index of this `OPTION` in its parent `SELECT`.
`java.lang.String` | `getLabel()` Option label for use in hierarchical menus.
`boolean` | `getSelected()` Means that this option is initially selected.
`java.lang.String` | `getText()` The text contained within the option element.
`java.lang.String` | `getValue()` The current form control value.
`void` | `setDefaultSelected(boolean defaultSelected)`
`void` | `setDisabled(boolean disabled)`
`void` | `setIndex(int index)`
`void` | `setLabel(java.lang.String label)`
`void` | `setValue(java.lang.String value)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

### getDefaultSelected

    public boolean getDefaultSelected()

  Stores the initial value of the `selected` attribute.

### setDefaultSelected

    public void setDefaultSelected(boolean defaultSelected)

### getText

    public java.lang.String getText()

  The text contained within the option element.

### getIndex

    public int getIndex()

  The index of this `OPTION` in its parent `SELECT`.

### setIndex

    public void setIndex(int index)

### getDisabled

    public boolean getDisabled()

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

### setDisabled

    public void setDisabled(boolean disabled)

### getLabel

    public java.lang.String getLabel()

  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0.

### setLabel

    public void setLabel(java.lang.String label)

### getSelected

    public boolean getSelected()

  Means that this option is initially selected. See the selected attribute definition in HTML 4.0.

### getValue

    public java.lang.String getValue()

  The current form control value. See the value attribute definition in HTML 4.0.

### setValue

    public void setValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.